Bug 981028 - Instance boot fails when security groups enabled and no network created
Instance boot fails when security groups enabled and no network created
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
unspecified
Unspecified Unspecified
high Severity high
: async
: 3.0
Assigned To: RHOS Maint
Ami Jeain
: ZStream
Depends On: 971082
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-03 15:58 EDT by Scott Lewis
Modified: 2016-04-26 16:49 EDT (History)
14 users (show)

See Also:
Fixed In Version: openstack-nova-2013.1.2-4.el6ost
Doc Type: Bug Fix
Doc Text:
The "default" OpenStack Networking security group is created automatically when creating a tenant network. The Compute service previously always checked for the presence of this "default" security group when launching instances. As a result launching a virtual machine instance when no tenant network had been created ended in error: SecurityGroupNotFound: Security group default not found. The Compute service has been updated to only check for the existence of the "default" security group when a tenant network for the instance to use exists.
Story Points: ---
Clone Of: 971082
Environment:
Last Closed: 2013-07-10 11:43:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1191044 None None None Never
OpenStack gerrit 33080 None None None Never
Red Hat Product Errata RHBA-2013:1020 normal SHIPPED_LIVE Red Hat OpenStack 3.0 bug fix advisory 2013-07-10 15:40:46 EDT

  None (edit)
Comment 2 Ami Jeain 2013-07-04 08:17:21 EDT
#  quantum security-group-list
+--------------------------------------+---------+-------------+
| id                                   | name    | description |
+--------------------------------------+---------+-------------+
| 6bb1532c-87d7-42f5-9957-abeccda97758 | default | default     |
+--------------------------------------+---------+-------------+
Comment 3 errata-xmlrpc 2013-07-10 11:43:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1020.html

Note You need to log in before you can comment on or make changes to this bug.